<template>
  <div class="content">
    <DataTable :headers="headers" :items="users" @create="selectItem" />
  </div>
</template>

<script setup lang="ts">
import { User } from "@prisma/client";
import type { Header } from "vue3-easy-data-table";
import { useUsersStore } from "@/stores/users";

const { GetUsers } = useUsersStore();

const users = ref<User[]>();
  users.value = (await GetUsers()) || [];

const headers: Header[] = [
  { text: "Email", value: "email", sortable: true },
  { text: "Name", value: "name", sortable: true },
  { text: "Created at", value: "createdAt", sortable: true },
  { text: "Updated at", value: "updatedAt", sortable: true },
  { text: "Actions", value: "actions" },
];

const selectItem = (item: User) => {
  console.log(item);
};
</script>
